package com.foreverwin.mesnac.integration.dto;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import java.math.BigDecimal;

@XmlAccessorType( XmlAccessType.FIELD )
@XmlType(name = "RouterStepDto", propOrder = {
        "STEP_ID",
        "OPERATION",
        "REVISION",
        "PROD_TIME",
        "OUT_SOURCE"
})
public class RouterStepDto {

    @XmlElement(name = "STEP_ID")
    private String STEP_ID;
    @XmlElement(name = "OPERATION")
    private String OPERATION;
    @XmlElement(name = "REVISION")
    private String REVISION;
    @XmlElement(name = "PROD_TIME")
    private String PROD_TIME;
    @XmlElement(name = "OUT_SOURCE")
    private String OUT_SOURCE;

    public String getSTEP_ID() {
        return STEP_ID;
    }

    public void setSTEP_ID(String STEP_ID) {
        this.STEP_ID = STEP_ID;
    }

    public String getOPERATION() {
        return OPERATION;
    }

    public void setOPERATION(String OPERATION) {
        this.OPERATION = OPERATION;
    }

    public String getREVISION() {
        return REVISION;
    }

    public void setREVISION(String REVISION) {
        this.REVISION = REVISION;
    }

    public String getPROD_TIME() {
        return PROD_TIME;
    }

    public void setPROD_TIME(String PROD_TIME) {
        this.PROD_TIME = PROD_TIME;
    }

    public String getOUT_SOURCE() {
        return OUT_SOURCE;
    }

    public void setOUT_SOURCE(String OUT_SOURCE) {
        this.OUT_SOURCE = OUT_SOURCE;
    }

    @Override
    public String toString() {
        return "RouterStepDto{" +
                "STEP_ID='" + STEP_ID + '\'' +
                ", OPERATION='" + OPERATION + '\'' +
                ", REVISION='" + REVISION + '\'' +
                ", PROD_TIME='" + PROD_TIME + '\'' +
                ", OUT_SOURCE='" + OUT_SOURCE + '\'' +
                '}';
    }
}
